import { BinaryInformation } from './BinaryInformation';
import { BitStreamInput } from '../bit-stream/BitStreamInput';
import { BitStreamOutput } from '../bit-stream/BitStreamOutput';
export declare class Attr3 extends BinaryInformation {
    /** Number of bits used for dnp */
    protected static _DNP_BITS: number;
    /** The distance to next point information. */
    protected _dnp: number;
    get dnp(): number;
    put(bitStreamOutput: BitStreamOutput): void;
    static fromValues(dnp: number): Attr3;
    static fromBitStreamInput(bitStreamInput: BitStreamInput): Attr3;
}
