import { AbstractLRP } from './AbstractLRP';
import { Attr1 } from './Attr1';
import { Attr4 } from './Attr4';
import { BitStreamInput } from '../bit-stream/BitStreamInput';
import { BitStreamOutput } from '../bit-stream/BitStreamOutput';
export declare class LastLRP extends AbstractLRP {
    /** Number of bits used for coordinates (relative) */
    protected static _COORD_BITS: number;
    /** The attrib4 information. */
    protected _attrib4: Attr4;
    get attrib4(): Attr4;
    put(bitStreamOutput: BitStreamOutput): void;
    static fromValues(lon: number, lat: number, attrib1: Attr1, attrib4: Attr4): LastLRP;
    static fromBitStreamInput(bitStreamInput: BitStreamInput): LastLRP;
}
