import { AbstractCoordinate } from './AbstractCoordinate';
import { BitStreamInput } from '../bit-stream/BitStreamInput';
import { BitStreamOutput } from '../bit-stream/BitStreamOutput';
export declare class RelativeCoordinates extends AbstractCoordinate {
    /** Number of bits used for coordinates (relative) */
    protected static _COORD_BITS: number;
    put(bitStreamOutput: BitStreamOutput): void;
    static fromValues(longitude: number, latitude: number): RelativeCoordinates;
    static fromBitStreamInput(bitStreamInput: BitStreamInput): RelativeCoordinates;
}
