import { RawPointLocationReference } from './RawPointLocationReference';
import { GeoCoordinates } from '../../map/GeoCoordinates';
export declare class RawCircleLocationReference extends RawPointLocationReference {
    protected _center: GeoCoordinates;
    protected _radius: number;
    getCenterPoint(): GeoCoordinates;
    getRadius(): number;
    static fromCircleValues(id: string, center: GeoCoordinates, radius: number): RawCircleLocationReference;
}
