import { RawLocationReference } from './RawLocationReference';
import { LocationReferencePoint } from '../LocationReferencePoint';
import { Offsets } from '../Offsets';
export declare class RawLineLocationReference extends RawLocationReference {
    /** The points. */
    protected _points: Array<LocationReferencePoint>;
    /** The offsets. */
    protected _offsets: Offsets;
    getLocationReferencePoints(): LocationReferencePoint[];
    getOffsets(): Offsets;
    static fromLineValues(id: string, points: Array<LocationReferencePoint>, offsets: Offsets): RawLineLocationReference;
}
