export declare class GeoCoordinates {
    /** The Constant MAX_LAT. */
    static MAX_LAT: number;
    /** The Constant MIN_LAT. */
    static MIN_LAT: number;
    /** The Constant MAX_LON. */
    static MAX_LON: number;
    /** The Constant MIN_LON. */
    static MIN_LON: number;
    /** The longitude. */
    protected _longitude: number;
    /** The latitude. */
    protected _latitude: number;
    getLatitudeDeg(): number;
    getLongitudeDeg(): number;
    static checkCoordinateBounds(lon: number, lat: number): boolean;
    static fromValues(longitude: number, latitude: number): GeoCoordinates;
}
