import { BinaryInformation } from './BinaryInformation';
import { BitStreamInput } from '../bit-stream/BitStreamInput';
import { BitStreamOutput } from '../bit-stream/BitStreamOutput';
export declare class AbstractCoordinate extends BinaryInformation {
    protected _lon: number;
    protected _lat: number;
    protected _coordBits: number;
    get lon(): number;
    get lat(): number;
    putCoordinates(bitStreamOutput: BitStreamOutput): void;
    protected _read(bitStreamInput: BitStreamInput): void;
    static fromBitCount(countBits: number): AbstractCoordinate;
}
