import { BinaryInformation } from './BinaryInformation';
import { BitStreamInput } from '../bit-stream/BitStreamInput';
import { BitStreamOutput } from '../bit-stream/BitStreamOutput';
export declare class Attr2 extends BinaryInformation {
    /** Number of bits used for lfrcnp */
    protected static _LFRCNP_BITS: number;
    /** Number of bits used for bear */
    protected static _BEAR_BITS: number;
    /** The lowest functional road class information. */
    protected _lfrcnp: number;
    /** The bearing information. */
    protected _bear: number;
    get lfrcnp(): number;
    get bear(): number;
    put(bitStreamOutput: BitStreamOutput): void;
    static fromValues(lfrcnp: number, bear: number): Attr2;
    static fromBitStreamInput(bitStreamInput: BitStreamInput): Attr2;
}
