import { BinaryInformation } from './BinaryInformation';
import { BitStreamInput } from '../bit-stream/BitStreamInput';
import { BitStreamOutput } from '../bit-stream/BitStreamOutput';
export declare class Attr6 extends BinaryInformation {
    /** number of bits used for lfrcnp */
    protected static _NR_RFU: number;
    /** number of bits used for bear */
    protected static _BEAR_BITS: number;
    /** The bearing information. */
    protected _bear: number;
    get bear(): number;
    put(bitStreamOutput: BitStreamOutput): void;
    static fromValues(bear: number): Attr6;
    static fromBitStreamInput(bitStreamInput: BitStreamInput): Attr6;
}
