import { BinaryInformation } from './BinaryInformation';
import { BitStreamInput } from '../bit-stream/BitStreamInput';
import { BitStreamOutput } from '../bit-stream/BitStreamOutput';
export declare class Attr1 extends BinaryInformation {
    /** The Constant SIDE_OR_ORIENTATION_BITS. */
    protected static _SIDE_OR_ORIENTATION_BITS: number;
    /** Number of bits used for frc */
    protected static _FRC_BITS: number;
    /** Number of bits used for fow */
    protected static _FOW_BITS: number;
    /** The functional road class information. */
    protected _frc: number;
    /** The form of way information. */
    protected _fow: number;
    /** The side or orientation. */
    protected _sideOrOrientation: number;
    get frc(): number;
    get fow(): number;
    get sideOrOrientation(): number;
    put(bitStreamOutput: BitStreamOutput): void;
    static fromValues(frc: number, fow: number, sideOrOrientation: number): Attr1;
    static fromBitStreamInput(bitStreamInput: BitStreamInput): Attr1;
}
