import { BinaryInformation } from './BinaryInformation';
import { BitStreamInput } from '../bit-stream/BitStreamInput';
import { BitStreamOutput } from '../bit-stream/BitStreamOutput';
export declare class Attr5 extends BinaryInformation {
    /** The Constant RFU. */
    protected static _NR_RFU: number;
    /** Number of bits used for frc */
    protected static _FRC_BITS: number;
    /** Number of bits used for fow */
    protected static _FOW_BITS: number;
    /** The functional road class information. */
    protected _frc: number;
    /** The form of way information. */
    protected _fow: number;
    get frc(): number;
    get fow(): number;
    put(bitStreamOutput: BitStreamOutput): void;
    static fromValues(frc: number, fow: number): Attr5;
    static fromBitStreamInput(bitStreamInput: BitStreamInput): Attr5;
}
