import { AbstractLRP } from './AbstractLRP';
import { Attr1 } from './Attr1';
import { Attr2 } from './Attr2';
import { Attr3 } from './Attr3';
import { BitStreamInput } from '../bit-stream/BitStreamInput';
import { BitStreamOutput } from '../bit-stream/BitStreamOutput';
export declare class IntermediateLRP extends AbstractLRP {
    /** Number of bits used for coordinates (relative) */
    protected static _COORD_BITS: number;
    /** The attrib2. */
    protected _attrib2: Attr2;
    /** The attrib3. */
    protected _attrib3: Attr3;
    get attrib2(): Attr2;
    get attrib3(): Attr3;
    put(bitStreamOutput: BitStreamOutput): void;
    static fromValues(lon: number, lat: number, attrib1: Attr1, attrib2: Attr2, attrib3: Attr3): IntermediateLRP;
    static fromBitStreamInput(bitStreamInput: BitStreamInput): IntermediateLRP;
}
