import { AbstractEncoder } from './AbstractEncoder';
import { LocationReference } from '../../data/LocationReference';
import { RawLocationReference } from '../../data/raw-location-reference/RawLocationReference';
import { GeoCoordinates } from '../../map/GeoCoordinates';
export declare class CircleEncoder extends AbstractEncoder {
    encodeData(rawLocationReference: RawLocationReference, version: number): LocationReference;
    protected _generateBinaryCircleLocation(center: GeoCoordinates, r: number, version: number): Buffer<ArrayBuffer>;
}
