export declare class Offsets {
    /** The Constant PERCENTAGE. */
    protected static _PERCENTAGE: number;
    /**
     * The positive offset of the binary data (0 if no positive offset available).
     */
    protected _pOffset: number;
    /**
     * The negative offset of the binary data (0 if not negative offset available).
     */
    protected _nOffset: number;
    /** The p off relative. */
    protected _pOffRelative: number;
    /** The n off relative. */
    protected _nOffRelative: number;
    /** The version. */
    protected _version: number;
    hasPositiveOffset(): boolean;
    hasNegativeOffset(): boolean;
    getPositiveOffset(length: number): number;
    getNegativeOffset(length: number): number;
    static fromValues(pOff: number, nOff: number): Offsets;
    static fromRelativeValues(pOff: number, nOff: number): Offsets;
}
