import { LocationReference } from '../data/LocationReference';
import { LocationType } from '../data/LocationType';
import { RawLocationReference } from '../data/raw-location-reference/RawLocationReference';
export declare class BinaryEncoder {
    /** The Constant VERSIONS. */
    protected static _VERSIONS: number[];
    getDataFormatIdentifier(): string;
    getSupportedVersions(): number[];
    encodeDataFromRLR(rawLocationReference: RawLocationReference): LocationReference;
    encodeDataFromRLRAndVersion(rawLocationReference: RawLocationReference, version: number): LocationReference;
    protected _checkVersion(version: number, locationType: LocationType): boolean;
}
