import { Buffer } from 'buffer';
import { BitStreamAbstract } from './BitStreamAbstract';
export declare class BitStreamInput extends BitStreamAbstract {
    protected _bufferFilledBytes: number;
    protected _inBuffer: Buffer;
    getBits(count: number): number;
    getSignedBits(count: number): number;
    protected _getNextBits(count: number): number;
    protected _getNextSignedBits(count: number): number;
    protected _fillBufferFromInput(): void;
    static fromString(value: string, encoding: string): BitStreamInput;
    static fromStringAndLength(value: string, encoding: string, length: number): BitStreamInput;
    static fromBuffer(buffer: Buffer): BitStreamInput;
    static fromBufferAndLength(buffer: Buffer, length: number): BitStreamInput;
}
