import { AbstractCoordinate } from './AbstractCoordinate';
import { BitStreamInput } from '../bit-stream/BitStreamInput';
import { BitStreamOutput } from '../bit-stream/BitStreamOutput';
export declare class AbsoluteCoordinates extends AbstractCoordinate {
    /** Number of bits used for coordinate (absolute) */
    protected static _COORD_BITS: number;
    put(bitStreamOutput: BitStreamOutput): void;
    static fromValues(longitude: number, latitude: number): AbsoluteCoordinates;
    static fromBitStreamInput(bitStreamInput: BitStreamInput): AbsoluteCoordinates;
}
