import { BinaryInformation } from './BinaryInformation';
import { BitStreamInput } from '../bit-stream/BitStreamInput';
import { BitStreamOutput } from '../bit-stream/BitStreamOutput';
export declare class Offset extends BinaryInformation {
    /** Number of bits used for offset */
    protected static _OFFSET_BITS: number;
    /** The offset information. */
    protected _offset: number;
    get offset(): number;
    put(bitStreamOutput: BitStreamOutput): void;
    static fromValues(offsetValue: number): Offset;
    static fromBitStreamInput(bitStreamInput: BitStreamInput): Offset;
}
