import { AbstractDecoder } from './AbstractDecoder';
import { RawCircleLocationReference } from '../../data/raw-location-reference/RawCircleLocationReference';
import { BitStreamInput } from '../bit-stream/BitStreamInput';
import { RawBinaryData } from '../data/RawBinaryData';
export declare class CircleDecoder extends AbstractDecoder {
    protected BASE_SIZE: number;
    decodeData(id: string, bitStreamInput: BitStreamInput, totalBytes: number, version: number, binaryData: RawBinaryData | null): RawCircleLocationReference;
}
