import { AbstractDecoder } from './AbstractDecoder';
import { BitStreamInput } from '../bit-stream/BitStreamInput';
import { RawBinaryData } from '../data/RawBinaryData';
import { RawPolygonLocationReference } from '../../data/raw-location-reference/RawPolygonLocationReference';
export declare class PolygonDecoder extends AbstractDecoder {
    decodeData(id: string, bitStreamInput: BitStreamInput, totalBytes: number, version: number, binaryData: RawBinaryData | null): RawPolygonLocationReference;
}
