import { RawLocationReference } from './RawLocationReference';
import { LocationReferencePoint } from '../LocationReferencePoint';
import { Offsets } from '../Offsets';
import { SideOfRoad } from '../location/data/SideOfRoad';
import { Orientation } from '../location/data/Orientation';
import { LocationType } from '../LocationType';
export declare class RawPointLocationReference extends RawLocationReference {
    /** The points. */
    protected _points: Array<LocationReferencePoint>;
    /** The offsets. */
    protected _offsets: Offsets;
    /** The orientation. */
    protected _orientation: Orientation;
    /** The side of road. */
    protected _sideOfRoad: SideOfRoad;
    getLocationReferencePoints(): LocationReferencePoint[];
    getOffsets(): Offsets;
    getOrientation(): Orientation;
    getSideOfRoad(): SideOfRoad;
    static fromPointValues(id: string, locationType: LocationType, lrp1: LocationReferencePoint, lrp2: LocationReferencePoint, offsets: Offsets, sideOfRoad: SideOfRoad, orientation: Orientation): RawPointLocationReference;
}
